Bug 238083 - compiz + resolution change = fails
compiz + resolution change = fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 20:07 EDT by Chris Adams
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 23:46:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2007-04-26 20:07:09 EDT
With today's rawhide, when I enable desktop effects and then use the screen
resolution tool (gnome-display-properties) to change the resolution, it appears
that the desktop hangs.  The resolution changes, but the "do you want to keep
this" box pops up with no text and no buttons.  The panel also loses its buttons.

The mouse works (but I can't do anything - no dragging windows around or
anything), but the timeout hits (because I didn't ack the new res), and the
display switches back to the old resolution.  However, the desktop is still
dead.  I can kill X with CTRL-ALT-BS.  If I turn off desktop effects, I can
change the resolution.  Then I can re-enable desktop effects.

I am not sure if this points to compiz or what (but it seemed like the place to
start).

This is on an Athlon64 with an ATI Radeon 9200 Pro (RV280).
Comment 1 Matěj Cepl 2007-09-11 20:34:23 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Matěj Cepl 2007-10-12 12:53:36 EDT
This might be something about the driver -- please, attach your X server config
file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2007-11-14 10:05:26 EST
Chris, any interest in this bug yet?
Comment 4 Chris Adams 2007-12-07 23:46:38 EST
Sorry for the (extremely) delayed response; I haven't been able to test on this
particular system much.

With late F8 development trees, I had all kinds of random problems with compiz
on this system, but now that I've installed F8, it seems to just work, and I
don't have a problem changing resolution after enabling compiz.

Note You need to log in before you can comment on or make changes to this bug.